<?xml version="1.0"?>
<launch>

    <arg name="start_point" />
    <!-- Reset (camera to starting_point,0) -->

    <arg name="publisher_start_delay" default="4.0" />
    <arg name="rover_velocity" default="0.04" />

    <node ns="rover" pkg="rostopic" type="rostopic" name="setpoint_publisher" launch-prefix="bash -c 'sleep $(arg publisher_start_delay); $0 $@' " args='pub /rover/cmd_vel geometry_msgs/Twist "[$(arg rover_velocity),0.0,0.0]" "[0.0,0.0,0.0]" -r 10' output="screen" />


    <arg name="controller_type" />
    <arg name="tether_height" />
    <arg name="bag_prefix" value="ctrl\=$(arg controller_type)_ht\=$(arg tether_height)_start_point\=$(arg start_point)" />
    <arg name="bag_path" value="/home/create/bags/experiment5" />

    <arg name="bag_start_delay" default="8.0" />
    <node pkg="rosbag" type="record" name="rosbag_record_diag" launch-prefix="bash -c 'sleep $(arg bag_start_delay); $0 $@' " args="record -o $(arg bag_path)/$(arg bag_prefix)
        
        /electra/loadcell/raw_throttle
        /electra/force_controller/state
    
        /rover/arm2gravity_beta/encoder/deg
        /rover/arm2gravity_beta/encoder/rad
        /rover/arm2gravity_beta/camera/deg
        /rover/arm2gravity_beta/camera/rad
  
        /rover/inclination_alpha/deg
        /rover/inclination_alpha/rad
  
        /rover/leadout_encoder/raw
        /rover/leadout_encoder/deg
  
        /rover/pitch/deg
        /zed2i/zed_node/imu/data_throttle
        /zed2i/zed_node/rgb_raw/image_raw_color/compressed 
        
        /zed2i/zed_node/odom
        /rover/odometry/local

       " />


</launch>